<?php

/*
|--------------------------------------------------------------------------
| User class
|--------------------------------------------------------------------------
|
| These are the API routes corresponding to user.
|
*/

// Owner
Route::get('/api/rpc/user/owner/countownersofentry/{id}', 'UserController@countOwnersOfEntry');
Route::get('/api/rpc/user/owner/getownersofentry/{id}', 'UserController@getOwnersOfEntry');
Route::get('/api/rpc/user/owner/countentriesofowner/{id}', 'UserController@countEntriesOfOwner');
Route::get('/api/rpc/user/owner/getentriesofowner/{id}', 'UserController@getEntriesOfOwner');

// User
Route::get('/api/rpc/user/user/getusers', 'UserController@getUsers');
Route::get('/api/rpc/user/user/getuser/{id}', 'UserController@getUser');
Route::get('/api/rpc/user/user/getpoststyle/{id}', 'UserController@getPostStyle');
Route::get('/api/rpc/user/user/getgroupcolours', 'UserController@getGroupColours');
